Subject: [Emailcore] Closing the loop on ticket #39 (Was: erratum 2950, I-D Action: draft-ietf-emailcore-rfc5322bis-00.txt)

From: Pete Resnick <[email-masked]>
Date: Wed, 29 Sep 2021 22:01:07 -0500

Found this old message while finishing up the new version of 5322bis:

On 7 Oct 2020, at 15:46, John Levine wrote:

> In article <[email-masked]> you 
> write:
>>        Title           : Internet Message Format
>>        Author          : Peter W. Resnick
>> 	Filename        : draft-ietf-emailcore-rfc5322bis-00.txt
>> 	Pages           : 56
>> 	Date            : 2020-10-06
>
> In the interest of moving things along, I see a question about
> whether we should change the "fields" ABNF per erratum 2950.
>
> That one's easy: no. The author of the erratum misunderstands how ABNF
> works.  In particular there is no promise that ABNF will produce a
> unique parse for any valid string, only that it will match every valid 
> string.

While no harm is done by changing the "*" to "1*" before the resent 
fields (since the enclosing production is a "*" and the other portion of 
that production is also optional), it is also unnecessary for the 
reasons John notes. So I suggest closing issue, changing the erratum to 
"Reject" (giving this explanation), and making no change in the 
document.

Updated the comments on this in -02 (coming out in just a few minutes).

pr

-- 
Pete Resnick https://www.episteme.net/
All connections to the world are tenuous at best